PHP is a server-side scripting language, used for building browser-based applications. This includes websites as well as programs that don't really need any form of interaction with the user.

learn more… | top users | synonyms (2)

-1
votes
0answers
7 views

How to add data when a user is a member in php

i want to create a system the member will add data to anew table and the member is identified by their id when they add data to that table. please advise me how to write php code for this syntax.
0
votes
0answers
23 views

Writting files in the folder /var/www/html from PHP of Apache server

I have apache running on Ubuntu and I'm trying to write (copy an image) that is upload in the following folder: /var/www/html/images I'm trying to write it from HTML/PHP as per the following code ...
0
votes
0answers
39 views

why isn't my file uploading?

I am currently using ubuntu with phpstorm php interpreter in phpstorm: PHP5.5 (5.5.9-1ubuntu4.16) Somehow when I try to upload a file, it just gives me empty array but I tried the same script using ...
0
votes
0answers
21 views

openldap setup with memberof overlay

We have configured Openldap successfully on ubuntu 12.04, using phpldapadmin interface. we have successfully created users, groups and organisational units.The created users are also loggin perfectly. ...
0
votes
1answer
40 views

Run php File in Browser from Command Line

I have apache2 working and can run php files by navigating to localhost using chrome browser. However I'd like to be able to launch the files within the browser from the command line. google-chrome ...
0
votes
1answer
315 views

Cannot install php-curl on Ubuntu 16.04 & PHP 7

Command: sudo apt-get install php-curl Output: Reading package lists... Done Building dependency tree Reading state information... Done The following additional packages will be installed: ...
0
votes
1answer
90 views

How to enable php on Apache2 in Xubuntu 16.04 [duplicate]

I've just updated the OS to version 16.04 and now php scripts don't get executed, I've just got the source code back. How can I enable php on 16.04? I've try to call this command: sudo a2enmod ...
2
votes
1answer
61 views

updated to PHP 7 and got all my php.ini link to php_curl.dll instead of curl.so

I have recently updated my server and it forced a PHP update from PHP 5 to 7. I got all my php.ini files point to .dll files (php_curl.dll for example) and not to curl.so. (it's pointing to the ...
0
votes
1answer
141 views

Does laravel 5.0 work in Ubuntu 16.04? [duplicate]

I had previously ubuntu 14.04 LTS installed and I have so many projects on laravel 5.0. After the release of Ubuntu 16.04 I installed it on my machine and I am facing a lot of difficulties to get ...
0
votes
1answer
84 views

15.10 upgraded to 16.04 and PHP broke

I accidentaly upgraded my system instead of just putting the updates on, and not my moodle won't work because PHP is messed up. It tells me I have unmet dependencies, and problems with PHP5-cli. ...
0
votes
2answers
177 views

PHP installation appears to be missing the MySQL extension

After upgrading my ubuntu from 15.10 to 16.04 LTS, it is showing an error Your PHP installation appears to be missing the MySQL extension when taking any local website from my lamp. When I tried to ...
7
votes
4answers
55 views

How to transition PPA users from one PPA to another?

I need to transition existing users from one PPA(s) to different PPA, so this is a question how to automate the transition without as little impact on the users as possible. More precisely: I have ...
0
votes
2answers
49 views

Can't create folder or document in <var/www/html> [closed]

how to enable to create New document or new folder in var/www/html ? "my Ubuntu is 16.04"
0
votes
2answers
41 views

apache error AH00526: Syntax error on line 1 of -c/-C directives:

I recently upgraded to php56. Now I am unable to run apache. I am getting:- This site can’t be reached localhost refused to connect. when trying to run localhost When I run the command httpd -t ...
2
votes
1answer
171 views

it is not possible to install php5-cli

sudo apt-get install php5-cli Reading package lists... Done Building dependency tree Reading state information... Done Package php5-cli is not available, but is referred to by another package. ...
0
votes
0answers
22 views

Apache2.4 PHP 5.6 Ubuntu 15.10 No Input File Specified

I am running a VPS with Ubuntu 15.10 using Apache 2.4 as my web server and I am kind of new to servers and stuff but I am currently creating an API. I first did this on my localhost. This worked ...
-1
votes
1answer
38 views

PHP script killed by OOM killer

Please help ! I meet same question here but it's all not working for me. I can assume what I doing: 1.)Run huge script for selecting info from MySql database by php script, this is example (simple ...
0
votes
0answers
33 views

Xampp installation went correct , but in localhost I get the “Apache2 default page”, didn't get xampp home page

I download Xampp from apachefriends.org and install it using the procedure which is published in computernetworkingnotes.com. I got the installation wizard and I installed it to check whether it ...
1
vote
6answers
1k views

Install laravel 5 on Ubuntu 16.04

Anyone installed laravel 5 on Ubuntu 16.04? I've just switched to Ubuntu 16.04 and I'm trying to install laravel 5 framework on it using composer. But every time I try to create a project it gives ...
1
vote
1answer
230 views

pdo_mysql removed on updating to 16.04

I recently updated to 16.04 LTS. And it updated my php to 7.0. Now it some how removed pdo_mysql. I need this extension to develop magento website. In phpinfo, I find pdo support: enabled pdo ...
0
votes
0answers
38 views

Problem with Apache2 after upgrading to 16.04 webpage not displaying correctly

I have a page that displays my radio station information. It looks something like this: <html> <body style="background-color:transparent"> <?php require("config.php"); ...
0
votes
2answers
65 views

Apache configuration

I am new to Ubuntu , I am configuring Apache to read root document from my home directory sites directory I edited the (default) file under /etc/apache2/available-sites to read from /home/username ...
0
votes
2answers
134 views

How to handle missing package php5-cgi on Ubuntu Xenial?

apt-get install php5-cgi says: Package php5-cgi is not available, but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from ...
0
votes
1answer
79 views

PHP7 FPM Refusing to Start

I keep receiving an error on my Ubuntu 16.04 server with PHP 7 FPM ERROR: fork() failed: Resource temporarily unavailable (11) Which results in none of my sites working with a 502 error. NOTE: I ...
0
votes
1answer
89 views

PHP7 does not install on Ubuntu with PPA

I have a problem. I want to install PHP7 on my Ubuntu Vagrant default 64Bit Machine, using the normal method specified everywhere: sudo apt-get install python-software-properties sudo LC_ALL=C.UTF-8 ...
0
votes
0answers
35 views

How to install php5 on Ubuntu terminal? [duplicate]

I'm having a problem installing PHP5 on Ubuntu. I've installed apache, but when I try to install PHP5 I get the error: E: package 'libapache2-mod-php5' has no installation candidate
0
votes
1answer
35 views

I've more than 60% of free RAM but i can't run a simple php file

I'm trying to run a simple .php file in my local environement : (Ubuntu 15.10 - Intel® Core™ i7-4600U CPU @ 2.10GHz × 4 - 64-bit - 8GB RAM) So you are seeing that I've more than 60% of free RAM ...
0
votes
1answer
90 views

Trouble installing PHP5 modules

I followed this speed tutorial: https://www.liberiangeek.net/2015/11/how-to-easily-install-wordpress-on-ubuntu-15-10/ but I got stuck at Step 4... When I run following code in the terminal: sudo ...
0
votes
1answer
118 views

Install php7 (7.0.4 or 7.0.6RC) on 14.04

Is there any available repository which would allow me to install PHP 7.0.4 or 7.0.6 (testing version) on my Ubuntu 14.04 server? I only found a way to use ppa:ondrej/php repository, but it only ...
0
votes
1answer
83 views

broken owncloud php + repository

Yesterday I failed to successfully install owncloud on my ubuntu desktop. The current issue that I am facing is when I go to my owncloud page I get the error: PHP is configured to populate raw post ...
1
vote
1answer
87 views

Can you run Web Dev packages on aquaris m10

I'm very tempted to buy the new Aquaris M10 instead of a new laptop. Can you run packages like PHP Storm/xampp/git/php on there? Does it have a fully operational terminal? Would the processor be able ...
0
votes
2answers
120 views

Ubuntu trusty install php gd

I am installing the php gd5 component but getting some unusual errors, which I don't understand. It worked fine on my local server but on VPS I am facing this problem. Here is the command: apt-get ...
0
votes
0answers
31 views

Compiling PHP 5.3 on Ubuntu 14.04 - libtool: Version mismatch error

I have a php property which we are trying to migrate from CentOS 6 to Ubuntu 14.04. This property currently runs on php 5.3 and cannot be updated to a later version in the time allowed due to package ...
16
votes
4answers
10k views

How can I downgrade from PHP 7 to PHP 5.6 on Ubuntu 16.04? [duplicate]

I am trying to revert my PHP version to 5.6 from 7 and though I removed PHP 7 and then installed PHP 5.6 I still seem to be running version 7. Is there a simple method for moving through PHP versions ...
2
votes
1answer
849 views

PHP and Apache2 broken after upgrade to Ubuntu 16.04

I've been having a lot of trouble fixing up the remains of my server after upgrading to Xenial yesterday. PHP apps run as a mess of code, and ownCloud 'can't be found on the server' anymore. It may ...
0
votes
0answers
18 views

unable to locate package phpmyadmin [duplicate]

Unable to locate package while installing phpmyadmin. $ sudo apt-get install phpmyadmin Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to ...
11
votes
4answers
6k views

Upgrade to 16.04. php7 not working in browser

I just upgraded from 14.10 to 16.04 and am not sure how to configure PHP 7 in apache. I did modify the php7.0.conf file to uncomment that last lines, restarted apache2 and no change. Do I need to ...
6
votes
2answers
2k views

PHP rendered as text after Ubuntu 16.04 upgrade

Apache is rendering PHP files as text after Ubuntu 16.04 upgrade. Apache is installed and running. PHP7 is running. When I execute the following command I get the correct output: php -r 'echo ...
2
votes
3answers
1k views

localhost/phpmyadmin not working on ubuntu 16.04

recently fresh installed Ubuntu 16.04 removing Ubuntu 14.04. I am trying to setup LAMP on local machine and have installed PHP7.0, mySql and phpMyadmin. All is working fine, http://localhost is ...
1
vote
0answers
52 views

Permissions to write files in the apache folder /var/www/html from PHP

I have apache running on Ubuntu and I'm trying to write (copy an image) in the following folder: /var/www/html/images I'm trying to write it from HTML/PHP <?php $uploaddir = ...
0
votes
1answer
198 views

I'm getting this error when try to update to php5

When I try to upgrade php from 5.3 to 5.6, this wild error appears Extracting templates from packages: 100% (Reading database ... 98172 files and directories currently installed.) Unpacking ...
0
votes
1answer
27 views

“E: There are problems and -y was used without --force-yes” when installing php

I'm trying to install php through the following: sudo apt-get install -y php7.0 libapache2-mod-php7.0 php7.0 php7.0-common php7.0-gd php7.0-mysql php7.0-mcrypt php7.0-curl php7.0-intl php7.0-xsl ...
0
votes
1answer
19 views

Postfix keeping email in queue for indefinite time. Sending from sendmail its working. Any idea?

I have set up postfix on my ubuntu. I have configured it properly so when ever I send email through Command Line or from "Read User Mail" section of Webmin its working. But when I try sending php code ...
0
votes
1answer
47 views

How to correct the command for PHP 7.0.* in following PHP cli and git installation?

I'm using Ubuntu Linux 14.04 LTS 64-bit OS on my machine. I just updated all the softwares and packages installed on my system by running following commands from the terminal : sudo apt-get update ...
0
votes
0answers
27 views

PHP on the browser just asks to open or download [duplicate]

I got a Php file and i am trying to open it with Firefox, but that does not happen what info should i provide? what i see is that it wants to download the file and not see it. I have Apache 2 and Php ...
0
votes
1answer
70 views

php extension fileinfo install in Ubuntu(15.10)

I have tried to install php fileinfo extension in Ubuntu(15.10) and getting errors: sudo pecl install fileinfo Error: WARNING: "pear/Fileinfo" is deprecated in favor of ...
1
vote
0answers
71 views

PHP7 on ubuntu 12.04

I would like to upgrade our production php version to new php7. Unfortunately we are currently running on ubuntu 12.04. I have already tried to install php7 on corresponding virtual machine using ...
0
votes
1answer
9 views

cannot define phpversion

I installed LAMP on my Ubuntu 14.04. Then , I want to upgrade my php version. I checked my PHP version : php -v PHP 7.0.5-3+donate.sury.org~trusty+1 (cli) ( NTS ) Copyright (c) 1997-2016 The PHP ...
0
votes
0answers
7 views

Error getting json.php

everyone..im new in oracle.. i had create calendar and dtabse using phpmyadmin.. Then i want to put calendar in iis manager.. Now i need to change from phpmyadmin to oracle. I get "error getting ...
0
votes
1answer
35 views

xmlrpc.php not found or unable to stat [Ubuntu 14.04 Server]

I just setup a new Ubuntu server with a LAMP stack. I'm using it only for some React.JS development, and has no domain name associated to it. I'm finding that my error log is riddled with this error: ...